/* Automatically generated nanopb constant definitions */
/* Generated by nanopb-0.3.9.3 at Mon May 13 01:04:51 2019. */

#include "inbound.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif



const pb_field_t device_messaging_device_v1_InboundV1_fields[4] = {
    PB_ONEOF_FIELD(type,   1, MESSAGE , ONEOF, STATIC  , FIRST, device_messaging_device_v1_InboundV1, ping, ping, &device_messaging_device_v1_Ping_fields),
    PB_ONEOF_FIELD(type,   2, MESSAGE , ONEOF, STATIC  , UNION, device_messaging_device_v1_InboundV1, auth_result, auth_result, &device_messaging_device_v1_AuthResult_fields),
    PB_ONEOF_FIELD(type,   3, MESSAGE , ONEOF, STATIC  , UNION, device_messaging_device_v1_InboundV1, command, command, &device_messaging_device_v1_Command_fields),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Ping_fields[1] = {
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_AuthResult_fields[2] = {
    PB_FIELD(  1, BOOL    , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_AuthResult, is_authorized, is_authorized, 0),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Command_fields[4] = {
    PB_FIELD(  1, MESSAGE , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_Command, meta, meta, &device_messaging_device_v1_Command_Meta_fields),
    PB_FIELD(  2, INT32   , REPEATED, STATIC  , OTHER, device_messaging_device_v1_Command, type, meta, 0),
    PB_FIELD(  3, MESSAGE , REPEATED, STATIC  , OTHER, device_messaging_device_v1_Command, value, type, &device_messaging_device_v1_Value_fields),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Command_Meta_fields[3] = {
    PB_FIELD(  1, MESSAGE , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_Command_Meta, command_id, command_id, &device_messaging_device_v1_CommandId_fields),
    PB_FIELD(  2, INT32   , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_Command_Meta, user_role, command_id, 0),
    PB_LAST_FIELD
};


/* Check that field information fits in pb_field_t */
#if !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_32BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in 8 or 16 bit
 * field descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_v1_InboundV1, type.ping) < 65536 && pb_membersize(device_messaging_device_v1_InboundV1, type.auth_result) < 65536 && pb_membersize(device_messaging_device_v1_InboundV1, type.command) < 65536 && pb_membersize(device_messaging_device_v1_Command, meta) < 65536 && pb_membersize(device_messaging_device_v1_Command, value[0]) < 65536 && pb_membersize(device_messaging_device_v1_Command_Meta, command_id) < 65536), YOU_MUST_DEFINE_PB_FIELD_32BIT_FOR_MESSAGES_device_messaging_device_v1_InboundV1_device_messaging_device_v1_Ping_device_messaging_device_v1_AuthResult_device_messaging_device_v1_Command_device_messaging_device_v1_Command_Meta)
#endif

#if !defined(PB_FIELD_16BIT) && !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_16BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in the default
 * 8 bit descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_v1_InboundV1, type.ping) < 256 && pb_membersize(device_messaging_device_v1_InboundV1, type.auth_result) < 256 && pb_membersize(device_messaging_device_v1_InboundV1, type.command) < 256 && pb_membersize(device_messaging_device_v1_Command, meta) < 256 && pb_membersize(device_messaging_device_v1_Command, value[0]) < 256 && pb_membersize(device_messaging_device_v1_Command_Meta, command_id) < 256), YOU_MUST_DEFINE_PB_FIELD_16BIT_FOR_MESSAGES_device_messaging_device_v1_InboundV1_device_messaging_device_v1_Ping_device_messaging_device_v1_AuthResult_device_messaging_device_v1_Command_device_messaging_device_v1_Command_Meta)
#endif


/* @@protoc_insertion_point(eof) */
